## php.java.bridge
Class JavaBridgeSecurityManager

    java.lang.Object
      java.lang.SecurityManager
          php.java.bridge.JavaBridgeSecurityManager

    public class JavaBridgeSecurityManager

extends java.lang.SecurityManager

A custom security manager for the PHP/Java Bridge. Example: `java -Djava.security.policy=/PATH/TO/javabridge.policy -jar JavaBridge.jar`

Author:
  jostb

Constructor Summary
`JavaBridgeSecurityManager()`

Method Summary
`void` `checkAccess(java.lang.ThreadGroup g)`
`void` `checkExit(int status)`
`java.lang.ThreadGroup` `getThreadGroup()` All user threads belong to the "JavaBridgeThreadPoolAppGroup" and all internal threads to "JavaBridgeThreadPoolGroup".

Methods inherited from class java.lang.SecurityManager

`checkAccept, checkAccess, checkAwtEventQueueAccess, checkConnect, checkConnect, checkCreateClassLoader, checkDelete, checkExec, checkLink, checkListen, checkMemberAccess, checkMulticast, checkMulticast, checkPackageAccess, checkPackageDefinition, checkPermission, checkPermission, checkPrintJobAccess, checkPropertiesAccess, checkPropertyAccess, checkRead, checkRead, checkRead, checkSecurityAccess, checkSetFactory, checkSystemClipboardAccess, checkTopLevelWindow, checkWrite, checkWrite, getInCheck, getSecurityContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaBridgeSecurityManager

    public JavaBridgeSecurityManager()

Method Detail

### checkAccess

    public void checkAccess(java.lang.ThreadGroup g)

  Overrides:
    `checkAccess` in class `java.lang.SecurityManager`

### getThreadGroup

    public java.lang.ThreadGroup getThreadGroup()

  All user threads belong to the "JavaBridgeThreadPoolAppGroup" and all internal threads to "JavaBridgeThreadPoolGroup".

  Overrides:
    `getThreadGroup` in class `java.lang.SecurityManager`

### checkExit

    public void checkExit(int status)

  Overrides:
    `checkExit` in class `java.lang.SecurityManager`